[global]
	dos filetimes = yes
	log file = /var/log/samba/log.%m
	name resolve order = lmhosts host wins bcast
	obey pam restrictions = Yes
	map to guest = Bad User
	encrypt passwords = yes
	time server = yes
	passdb backend = tdbsam
	fake directory create times = yes
	dns proxy = no
	dos filetime resolution = yes
	netbios aliases = czaf
	delete readonly = yes
	default = domains
	unix password sync = yes
	workgroup = czaf
	os level = 128
	syslog = 0
	security = user
	usershare allow guests = Yes
	preferred master = yes
	panic action = /usr/share/samba/panic-action %d
	max log size = 1000
	pam password change = no
# Time server
	
[domains]
	domain logons = Yes
	domain master = Yes
	;logon path = \\%N\Profiles\%U
logon path = \\%N\%U\profile
	logon drive = H:
        logon home = \\%N\%U
	logon script = logon.cmd

# Pro automaticke vytvareni uctu uzivatele, pocitace a skupiny pro potreby Samby
	add user script = /usr/sbin/adduser --quiet --disabled-password --gecos "" %u
	;add machine script  = /usr/sbin/useradd -g machines -c "%u machine account" -d /var/lib/samba -s /bin/false %u
add machine script = sudo /usr/sbin/useradd -N -g machines -c Machine -d /var/lib/samba -s /bin/false %u
	add group script = /usr/sbin/addgroup --force-badname %g

# Nastaveni mapovani UID na SSID a shell automaticky vytvarenych uctu
	idmap uid = 10000-20000
	idmap gid = 10000-20000
	template shell = /bin/bash
	winbind enum groups = yes
	winbind enum users = yes
				;idmap config * : range = 10000-20000
				;idmap config * : backend = tdb

[netlogon]
	comment = Network Logon Service
	path = /home/samba/netlogon
	guest ok = yes
				;browseable = No
	share modes = No
				;available = No
	read only = yes

[homes]
	comment = Home Directories
	browseable = no
	read only = no
	create mask = 0700
	directory mask = 0700
	valid users = %S

[Profiles]
	comment = Users profiles
	path = /srv/samba/Profiles
	guest ok = no
	create mask = 0600
	directory mask = 0700
				;profile acls = Yes
				;store dos attributes = Yes
	browseable = No
				;csc policy = disable
				;available = yes
	read only = no

[printers]
	comment = All Printers
	path = /var/spool/samba
	create mask = 0700
	printable = Yes
	print ok = Yes
	browseable = No

[print$]
	comment = Printer Drivers
	path = /var/lib/samba/printers

[cdrom]
	comment = Samba server's CD-ROM
	path = /cdrom
	browseable = yes
	locking = No
	available = no

[honza]
	comment = domovska
	path = /home/honza
	valid users = honza, @honza
	force user = honza
	force group = honza
	read only = No
	


[2000]
	writable = yes
	path = //media/honza/2tera
	force group = honza
	force user = honza
	comment = 2tera
	valid users = honza, @honza
